package ink.wgink.service.user.pojo.vos;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AddExpiredDateVO
 * @Description: 添加过期时间
 * @Author: wanggeng
 * @Date: 2021/2/27 6:16 下午
 * @Version: 1.0
 */
@ApiModel
public class UpdateExpiredDateVO {

    @ApiModelProperty(name = "expiredDate", value = "过期时间")
    @CheckEmptyAnnotation(name = "过期时间", verifyType = "datetime")
    private String expiredDate;

    public String getExpiredDate() {
        return expiredDate == null ? "" : expiredDate;
    }

    public void setExpiredDate(String expiredDate) {
        this.expiredDate = expiredDate;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"expiredDate\":\"")
                .append(expiredDate).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
